<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once('./../modelo/odoo_cliente.php');

// 1. Obtenemos el id del pais de Mexico
$id_client = OdooCliente::getClientIdByRFCOrEmail(null, "juanomarcamacho@mail.com");

$paises = OdooCliente::getIdMexicoCountry();
$estados = OdooCliente::getStatesByCountry($paises[0]);

$calle = "Av solidaridad las torres";
$calle2 = "12837 xdddd";
$ciudad = "Neza";
$cp = "57210";
$rfc = "AUSR971030UQ1";
$nombre_empresa = "Cursodontic";

$response = OdooCliente::updateClientFacturacion($id_client, $calle, $calle2, $ciudad, $cp, $rfc, $nombre_empresa, $estados[0]['id'], $paises[0]);

print_r($response);